--*************************************************************
--VISTA DE LAS REFERECIAS DEL CLIENTE
--*************************************************************

SELECT
--INFORMACION CLIENTE 
CON.FOLIO_UNICO, 
--INFORMACION REFERENCIA 
REF.ID REFERENCIA_ID,
REF.NOMBRE,
REF.APELLIDO_PATERNO,
REF.APELLIDO_MATERNO,
REL.NOMBRE RELACION,
TRE.DESCRIPCION ANIOS_ANTIGUEDAD

FROM SMAFB.SGCONTRATOS CON
LEFT OUTER JOIN SMAFB.SGTIPOS_APLICACIONES TAP ON (TAP.ID = CON.TIPO_APLICACION_ID)
LEFT OUTER JOIN SMAFB.SGAPLICACIONES_FISICAS APF ON (APF.CONTRATO_ID = CON.IDINT)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FISICOS ATF ON (ATF.ID = APF.APLICANTE_ID)
LEFT OUTER JOIN SMAFB.SGAPLICANTES_FIS_REFERENCIAS AFR ON (AFR.APLICANTE_FISICO_ID = ATF.ID)  --INFORMACION DE LA REFERENCIAS
LEFT OUTER JOIN SMAFB.SGREFERENCIAS_FISICAS REF ON (REF.ID = AFR.REFERENCIA_ID)
LEFT OUTER JOIN SMAFB.SGRELACIONES REL ON (REL.IDINT = REF.RELACION_ID )
LEFT OUTER JOIN SMAFB.SGTIEMPOS_RELACION TRE ON (TRE.ID = REF.TIEMPO_RELACION_ID)

WHERE TAP.ID = 1 --TIPO 1 PERSONA FISICA
;